org.apache.storm.security.auth

## Class TBackoffConnect

- java.lang.Object
- - org.apache.storm.security.auth.TBackoffConnect

-     public class TBackoffConnect
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TBackoffConnect(int retryTimes, int retryInterval, int retryIntervalCeiling)`
    `TBackoffConnect(int retryTimes, int retryInterval, int retryIntervalCeiling, boolean retryForever)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.storm.thrift.transport.TTransport` | `doConnectWithRetry(ITransportPlugin transportPlugin, org.apache.storm.thrift.transport.TTransport underlyingTransport, String host, String asUser)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TBackoffConnect

          public TBackoffConnect(int retryTimes,
                                 int retryInterval,
                                 int retryIntervalCeiling,
                                 boolean retryForever)

    - #### TBackoffConnect

          public TBackoffConnect(int retryTimes,
                                 int retryInterval,
                                 int retryIntervalCeiling)

  - ### Method Detail

    - #### doConnectWithRetry

          public org.apache.storm.thrift.transport.TTransport doConnectWithRetry(ITransportPlugin transportPlugin,
                                                                                 org.apache.storm.thrift.transport.TTransport underlyingTransport,
                                                                                 String host,
                                                                                 String asUser)
                                                                          throws IOException

      Throws:
        `IOException`

Copyright © 2019 The Apache Software Foundation. All rights reserved.